commit:     f8853aff52e6a97576a3542c83c36471023c4bc8
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 22 10:31:02 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Sep 22 10:31:26 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8853aff

media-video/smplayer: Bump to version 16.9.0

Package-Manager: portage-2.3.1
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-video/smplayer/Manifest               |   1 +
 media-video/smplayer/smplayer-16.9.0.ebuild | 149 ++++++++++++++++++++++++++++
 2 files changed, 150 insertions(+)

diff --git a/media-video/smplayer/Manifest b/media-video/smplayer/Manifest
index fc98703..c9e31d3 100644
--- a/media-video/smplayer/Manifest
+++ b/media-video/smplayer/Manifest
@@ -3,3 +3,4 @@ DIST smplayer-16.1.0.tar.bz2 3966243 SHA256 
d25c9b62d36c5ee63fb360e9a45566601d49
 DIST smplayer-16.4.0.tar.bz2 4020567 SHA256 
de4169c7e3a1d8bf6f3c9a77fa0a8c24c1f63db3f2b8a325bc6761c0a9d2d2ec SHA512 
a75b1ff935912a5193854a12d0777e0c5883d4513b09869acdae9149dbc022ea77b0b2106f6c820401090127e1dcd585c74b6beb9af3abb36a0abfb58165246a
 WHIRLPOOL 
18709aa1abbec5811a0e60295af68e42700760ec74890b7c85a36eab91d21bbf82efdcd42af5083da174a486910a691d9b957c8fbea0cea13b62a23167e4680c
 DIST smplayer-16.7.0.tar.bz2 4163002 SHA256 
6989972d5c2d8bacdf66b6db669b3be015a55ba6db0bfdc4180790c02dc4e218 SHA512 
d385f068bed1f95111d9564f37ba565611ecd2c738df0192d5bcab6da7b25e5db06f5594c04740b82cd07c13145a8b996d922bc353c16cdf551419b66d025124
 WHIRLPOOL 
d1d8463ff35a7c96f38f79586ebee354c45ee3539ab9687e70d2091fd8174fa20706db4b66fb6df03b82ecf0fccee1bc9ec549aa5819a3c1fb77a37bc39d8228
 DIST smplayer-16.8.0.tar.bz2 4166064 SHA256 
3ced2085808798bd2cdb1ca623686dbde3ac6b7acccee9de4786a2d5f96d9c81 SHA512 
0609fd6147502f43e4e2f8f5df6854f0aaab9b165663882254a0b5e8e3d8b0f15ad6ababd13869eb829f265dde9062827cb738ed4cc79e488321f90c50de9980
 WHIRLPOOL 
2b7b8bd91da9e3ef9e1e3f5bc4aaf4ef9a30ff39c8d56023432bb8ad5827f96cc451c64385ea02ae9d8427b9b53b37d7607f153e7182b22307fa473f9d977adb
+DIST smplayer-16.9.0.tar.bz2 4205771 SHA256 
692e49fbfbcedaecf9e41f40e3f49905ec4d967e0b99b2c8c5fec1b6810ccdbe SHA512 
ec424b583372df599c4785ae63d33dccbf963e6dd560faaf2159ca2aa47891f8a7797c3f0091ede8802d039ed97c5fdf6b944085abc7d50580f10fc8218e1902
 WHIRLPOOL 
076dbd5eb61fe94999a51737e621d7a507519a84a705c264911bedee56c4a79038d4e227e1d6612f53b9b9ea8423dace80e46eb5fbfa0c51c975498d3a48ee39

diff --git a/media-video/smplayer/smplayer-16.9.0.ebuild 
b/media-video/smplayer/smplayer-16.9.0.ebuild
new file mode 100644
index 00000000..a35c795
--- /dev/null
+++ b/media-video/smplayer/smplayer-16.9.0.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PLOCALES="am ar ar_SY bg ca cs da de el_GR en_GB en_US es et eu fa fi fr gl
+he_IL hr hu id it ja ka ko ku lt mk ms_MY nl nn_NO pl pt pt_BR ro_RO ru_RU
+sk sl_SI sq_AL sr sv th tr uk_UA uz vi_VN zh_CN zh_TW"
+PLOCALE_BACKUP="en_US"
+
+inherit l10n qmake-utils
+
+DESCRIPTION="Great Qt GUI front-end for mplayer/mpv"
+HOMEPAGE="http://www.smplayer.eu/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2+ BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux"
+IUSE="autoshutdown bidi debug mpris qt5 streaming"
+
+COMMON_DEPEND="
+       sys-libs/zlib
+       !qt5? (
+               dev-qt/qtcore:4
+               dev-qt/qtgui:4
+               dev-qt/qtsingleapplication[X,qt4]
+               autoshutdown? ( dev-qt/qtdbus:4 )
+               mpris? ( dev-qt/qtdbus:4 )
+               streaming? (
+                       dev-qt/qtcore:4[ssl]
+                       dev-qt/qtscript:4
+               )
+       )
+       qt5? (
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtnetwork:5
+               dev-qt/qtsingleapplication[X,qt5]
+               dev-qt/qtwidgets:5
+               dev-qt/qtxml:5
+               autoshutdown? ( dev-qt/qtdbus:5 )
+               mpris? ( dev-qt/qtdbus:5 )
+               streaming? (
+                       dev-qt/qtnetwork:5[ssl]
+                       dev-qt/qtscript:5
+               )
+       )
+"
+DEPEND="${COMMON_DEPEND}
+       qt5? ( dev-qt/linguist-tools:5 )
+"
+RDEPEND="${COMMON_DEPEND}
+       || (
+               media-video/mplayer[bidi?,libass,png,X]
+               (
+                       >=media-video/mpv-0.10.0[libass,X]
+                       streaming? ( >=net-misc/youtube-dl-2014.11.26 )
+               )
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-14.9.0.6966-unbundle-qtsingleapplication.patch" # 
bug 487544
+)
+
+src_prepare() {
+       default
+
+       use bidi || eapply "${FILESDIR}"/${PN}-16.4.0-zero-bidi.patch
+
+       # Upstream Makefile sucks
+       sed -i -e "/^PREFIX=/ s:/usr/local:${EPREFIX}/usr:" \
+               -e "/^DOC_PATH=/ s:packages/smplayer:${PF}:" \
+               -e '/\.\/get_svn_revision\.sh/,+2c\
+       cd src && $(DEFS) $(MAKE)' \
+               Makefile || die
+
+       # Turn off online update checker, bug #479902
+       sed -e 's:DEFINES += UPDATE_CHECKER:#&:' \
+               -e 's:DEFINES += CHECK_UPGRADED:#&:' \
+               -i src/smplayer.pro || die
+
+       # Turn off intrusive share widget
+       sed -e 's:DEFINES += SHARE_WIDGET:#&:' \
+               -i src/smplayer.pro || die
+
+       # Toggle autoshutdown option which pulls in dbus, bug #524392
+       if ! use autoshutdown ; then
+               sed -e 's:DEFINES += AUTO_SHUTDOWN_PC:#&:' \
+                       -i src/smplayer.pro || die
+       fi
+
+       # Turn debug message flooding off
+       if ! use debug ; then
+               sed -e 's:#\(DEFINES += NO_DEBUG_ON_CONSOLE\):\1:' \
+                       -i src/smplayer.pro || die
+       fi
+
+       # MPRIS2 pulls in dbus, bug #553710
+       if ! use mpris ; then
+               sed -e 's:DEFINES += MPRIS2:#&:' \
+                       -i src/smplayer.pro || die
+       fi
+
+       # Turn off youtube support (which pulls in extra dependencies) if 
unwanted
+       if ! use streaming ; then
+               sed -e 's:DEFINES += YOUTUBE_SUPPORT:#&:' \
+                       -i src/smplayer.pro || die
+               sed -e 's:^#define PLAYLIST_DOWNLOAD://&:' \
+                       -i src/playlist.h || die
+       fi
+
+       # Commented out because it gives false positives
+       #l10n_find_plocales_changes "${S}"/src/translations ${PN}_ .ts
+}
+
+src_configure() {
+       cd src || die
+       use qt5 && eqmake5 || eqmake4
+}
+
+gen_translation() {
+       local mydir="$(qt4_get_bindir)"
+       if use qt5; then
+               mydir="$(qt5_get_bindir)"
+       fi
+
+       ebegin "Generating $1 translation"
+       "${mydir}"/lrelease ${PN}_${1}.ts
+       eend $? || die "failed to generate $1 translation"
+}
+
+src_compile() {
+       default
+
+       cd src/translations || die
+       l10n_for_each_locale_do gen_translation
+}
+
+src_install() {
+       # remove unneeded copies of the GPL
+       rm -f Copying* docs/*/gpl.html || die
+       # don't install empty dirs
+       rmdir --ignore-fail-on-non-empty docs/* || die
+
+       default
+}

Reply via email to